View on
MetaCPAN
Kent Fredric > Dist-Zilla-Plugin-ModuleInstall-1.001002 > Dist::Zilla::Plugin::ModuleInstall

Download:
Dist-Zilla-Plugin-ModuleInstall-1.001002.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 1.001002   Source  

NAME ^

Dist::Zilla::Plugin::ModuleInstall - (DEPRECATED) Build Module::Install based Distributions with Dist::Zilla

VERSION ^

version 1.001002

SYNOPSIS ^

dist.ini

    [ModuleInstall]

DESCRIPTION ^

This module will create a Makefile.PL for installing the dist using Module::Install.

It is at present a very minimal feature set, but it works.

METHODS ^

register_prereqs

Tells Dist::Zilla about our needs to have EU::MM larger than 6.42

setup_installer

Generates the Makefile.PL, and runs it in a tmpdir, and then harvests the output and stores it in the dist selectively.

DEPRECATED ^

This module is now officially deprecated.

It was never really recommended, or supported, and it always existed as a gap filler for people who were migrating from Module::Install and had yet to understand certain design elements of Dist::Zilla made using Module::Install effectively redundant.

In short, it was an excuse, a foot-gun for the person who needed holes in their feet.

I will not actively prevent this module from doing anything it didn't use to do, but its use should be considered officially discouraged.

AUTHOR ^

Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE ^

This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

syntax highlighting: